Description

Hi, currently layer represents a mix between a layer style and a datasource. In my work on doing maps for geostatistics and exploring

measurement data, I often have layers to visulize a single datasource in multiple ways. Currently this means that I clone layers that hold

the most data redundant (datasource, projection, ...) and I just adapt the style to my needs. Beside the logical aspect, I also see some

negative aspects:

    -  user has to enter the same properties again and again

    -  broken file links need to be adapted in every layer again

    -  performance can be improved as vector processing is the same for every layer, just style rendering is different

So my idea would be to add a datasource window that the layers can be linked to. I know this might cause big refactoring, so do others

have an opinion on that?

History

#1 - 2013-12-18 02:25 AM - Otto Dassau

Hi,

maybe I missunderstand, but it is possible to define several styles to visulize a single datasource in multiple ways. You can save and load them in the layer

property dialog with the "Save Style" and "Load Style" buttons.

Regards

Otto

#2 - 2013-12-18 07:39 AM - Jürgen Fischer

- Subject changed from Seperating datasource, layer and style to Separating datasource, layer and style

#3 - 2013-12-18 07:49 AM - Noone Noone

Thats true, but there is no link between the layer copies anymore and it's just a flat copy. This is bad, if you just want to alter for example the colour of

different styles, but the rest should be equal (for example later on you decide to change the size of the symbolizer again, so you need to change it manually

in every layers).

So I would like to have a more modularized concept of "styles" that have basic operators (clone, inherite, ...) and interact well with the other modularized

things in QGIS workflow as datasource and layer :)

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

2024-03-13 1/1


